# Generated from phantomjs2-2.0.0.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name phantomjs2

Name: rubygem-%{gem_name}
Version: 2.0.0.2
Release: 1%{?dist}
Summary: Auto-install phantomjs on demand for current platform. Comes with poltergeist integration
License: MIT
URL: https://github.com/mgrachev/phantomjs-gem
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(poltergeist) >= 1.5
# BuildRequires: rubygem(poltergeist) < 2
# BuildRequires: rubygem(capybara) >= 2.4
# BuildRequires: rubygem(capybara) < 3
# BuildRequires: rubygem(rspec) >= 2.99
# BuildRequires: rubygem(rspec) < 3
# BuildRequires: rubygem(simplecov)
BuildArch: noarch

%description
Auto-install phantomjs on demand for current platform. Comes with poltergeist
integration.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.simplecov
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/phantomjs.gemspec
%{gem_instdir}/spec

%changelog
* Tue Sep 14 2021 mockbuilder - 2.0.0.2-1
- Initial package
